[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force X.Org X11 SVN commit: r3688 - trunk/app/compiz/debian



Author: beatle
Date: 2006-10-09 04:18:26 -0400 (Mon, 09 Oct 2006)
New Revision: 3688

Modified:
   trunk/app/compiz/debian/changelog
   trunk/app/compiz/debian/compiz.wrapper
Log:
Add code to the compiz wrapper to detect a running NVIDIA GLX implementation
and don't use the --indirect-rendering flag in that case, because NVIDIA have
their own indirect rendering infrastructure.


Modified: trunk/app/compiz/debian/changelog
===================================================================
--- trunk/app/compiz/debian/changelog	2006-10-08 11:56:28 UTC (rev 3687)
+++ trunk/app/compiz/debian/changelog	2006-10-09 08:18:26 UTC (rev 3688)
@@ -1,8 +1,10 @@
 compiz (0.0.13+git20060928-4) UNRELEASED; urgency=low
 
   * Suggest nvidia-glx (>= 1.0.9625-1). (Closes: #390326).
+  * Add code to the compiz wrapper to handle the NVIDIA GLX implementation
+    Closes: #390814.
 
- -- Thierry Reding <thierry@gilfi.de>  Sat,  7 Oct 2006 14:52:55 +0200
+ -- Thierry Reding <thierry@gilfi.de>  Sun,  8 Oct 2006 12:44:15 +0200
 
 compiz (0.0.13+git20060928-3) unstable; urgency=low
 

Modified: trunk/app/compiz/debian/compiz.wrapper
===================================================================
--- trunk/app/compiz/debian/compiz.wrapper	2006-10-08 11:56:28 UTC (rev 3687)
+++ trunk/app/compiz/debian/compiz.wrapper	2006-10-09 08:18:26 UTC (rev 3688)
@@ -1,7 +1,14 @@
 #!/bin/sh
 
-PLUGINS=""
+COMPIZ_OPTIONS="--strict-binding --use-cow"
+COMPIZ_PLUGINS=""
 
+# if the GLX implementation is not by NVIDIA, use indirect rendering
+/usr/bin/glxinfo | grep "client glx vendor string: NVIDIA Corporation" > /dev/null 2>&1
+if [ "x$?" != "x0" ]; then
+	COMPIZ_OPTIONS="$COMPIZ_OPTIONS --indirect-rendering"
+fi
+
 # start the gtk-window-decorator if present
 if [ -x /usr/bin/gtk-window-decorator ]; then
 	/usr/bin/gtk-window-decorator --replace &
@@ -9,10 +16,9 @@
 
 # load the gconf plugin if present
 if [ -f /usr/lib/compiz/libgconf.so ]; then
-	PLUGINS="$PLUGINS gconf"
+	COMPIZ_PLUGINS="$COMPIZ_PLUGINS gconf"
 fi
 
 # always load the gconf plugin
-/usr/bin/compiz.real --strict-binding --indirect-rendering --use-cow \
-	"$@" $PLUGINS
+/usr/bin/compiz.real $COMPIZ_OPTIONS "$@" $COMPIZ_PLUGINS
 



Reply to: